Uses of Interface
org.norther.tammi.core.rt.util.AttributeFilter

Packages that use AttributeFilter
org.norther.tammi.core.rt   
org.norther.tammi.core.rt.util   
org.norther.tammi.root.rt.util   
org.norther.tammi.spray.template.tool   
 

Uses of AttributeFilter in org.norther.tammi.core.rt
 

Methods in org.norther.tammi.core.rt with parameters of type AttributeFilter
 AttributeList Variable.exportAttributes(Object target, AttributeFilter filter)
          Exports filtered attribute values to another object.
 AttributeList VariableX.exportAttributes(Object target, AttributeFilter filter)
           
 boolean Introspector.exportTo(Variable variable, Object target, AttributeFilter filter)
          Exports the specified variable to another object by applying a filter.
 AttributeList Variable.importAttributes(Object source, AttributeFilter filter)
          Imports filtered attribute values from another object.
 AttributeList VariableX.importAttributes(Object source, AttributeFilter filter)
           
 boolean Introspector.importFrom(Variable variable, Object source, AttributeFilter filter)
          Imports the specified variable from another object by applying a filter.
 

Uses of AttributeFilter in org.norther.tammi.core.rt.util
 

Classes in org.norther.tammi.core.rt.util that implement AttributeFilter
 class ExcludeFilter
          An exclude filter for importing and exporting attributes.
 class IncludeFilter
          An include filter for importing and exporting attributes.
 class MappingFilter
          A mapping filter for importing and exporting attributes.
 

Uses of AttributeFilter in org.norther.tammi.root.rt.util
 

Methods in org.norther.tammi.root.rt.util that return AttributeFilter
 AttributeFilter VariableTransporter.getExportFilter()
          Gets the export filter.
 AttributeFilter UserAccountImporter.getImportFilter()
           
 AttributeFilter VariableTransporter.getImportFilter()
          Gets the import filter.
 

Uses of AttributeFilter in org.norther.tammi.spray.template.tool
 

Methods in org.norther.tammi.spray.template.tool with parameters of type AttributeFilter
 boolean FormTool.update(ObjectName name, AttributeFilter filter)
          Updates the current form variable with request parameters and exports the result to the specified MBean by applying a filter, if the update was successful.
 



Copyright © 2004 The Norther Organization. All rights reserved.